For more information, please call 212-867-7969

SYSTEM REQUIREMENTS

The following sections detail the various system requirements needed to access The Laurel®.

You must enable Javascript. Javascript is enabled by default on most computers, so unless you turned it off, it is likely on. To test your Javascript capabilities, click here.

The Laurel® supports Internet browsers capable of handling 128-bit encryption. Your browser must also be currently supported by the manufacturer and pass our own tests to ensure accuracy and security using our software. In any case, we always recommend that you use the most up-to-date version of the browser of your choice. The Laurel® currently supports the following browsers:

For Windows

For Macintosh

For Linux